<?
define("ADMIN_AUTHORIZATION",1);
include("../../../includes/common.php");

$id = trim($_GET['id']=="")?trim($_POST['id']):trim($_GET['id']);

$id+=0;

$CheckObj=new TCheckForm;

$table = "countries";

//$res=pg_query($DB_LINK, );

/*getting row*/
if($id>0){
	$row = mysql_fetch_object(mysql_query("select * from $table where id=$id"));
	$name       = $row->name;
	$full_name       = $row->full_name;
	$name_rus       = $row->name_rus;
	$code       = $row->code;
	$fips_code       = $row->fips_code;
	if ($row->is_default=="t") {
		$is_default = $row->is_default;
	}
	$stat = $row->status;
}	


/* generating fields */

$fields=Array();
if ($id>0) {
    $fields[id]=Array($id,'ID:');
}

$fields = Array_Merge($fields,Array(
	"name"       =>Array('<input type="text" maxlength="100" size=60> (макс. 100 знаков)','Название (анг):','Укажите название страны, пожалуйста.','^.{1,100}$'),
	"name_rus"       =>Array('<input type="text" maxlength="100" size=60> (макс. 100 знаков)','Название (рус):','Укажите название страны, пожалуйста.','^.{1,100}$'),
	"full_name"       =>Array('<input type="text" maxlength="255" size=60> ','Полное название:','Укажите полное название страны, пожалуйста.'),
	"capital"       =>Array('<input type="text" maxlength="255" size=60>','Столица:','Укажите столицу страны, пожалуйста.'),
	"code"       =>Array('<input type="text" maxlength="5" size=5> ','Код:','Укажите код, пожалуйста.','^.{1,3}$'),
	"fips_code"       =>Array('<input type="text" maxlength="5" size=5>','FIPS  Код:','Укажите FIPS  код, пожалуйста.','^.{1,3}$'),
    ));

if(isset($_POST['subm'])){
	reset ($_POST);
	while (list($key, $value) = each ($_POST)) {
		if($key!="id"){
			$$key = $value;
		}	
	}
	$is_default=$_POST[is_default];
	$error = $CheckObj->LocalCheck();

	if($error==""){
		$arr = Array(
			"name" =>addslashes($name),
			"name_rus" =>addslashes($name_rus),
			"full_name" =>addslashes($full_name),
			"code"=>addslashes($code),
			"fips_code"=>addslashes($fips_code),
			"capital"=>addslashes($capital),
		);
	   $res=true;
		if ($id<=0) {
		    $res=$res&&AddRecord($table,$arr,true);
		}
		else{
			$res=$res&&UpdateRecord($table,$arr,$id);
		}
		if($res){
			$_SESSION['STATUS_MSG'] = "Информация успешно сохранена!";
			header("Location: ./index.php?l_pager");
			exit;
		}
		else{
			$_SESSION['ERROR_MSG'] = "Системная ошибка.";
			header("Location: ./index.php?l_pager");
			exit;
		}
	}
}


/* smarty */
foreach($fields as $key=>$value){
	$$key=htmlspecialchars(stripslashes($$key));
	$smarty->assign($key,$$key);
}

if (!$is_default) {
    unset($is_default);
}

/* smarty */
$smarty->assign('id',$id);

$page_title = $id>0?"Изменить информацию о стране":"Добавить страну";

$smarty->assign('index_page','./index.php?l_pager');
$smarty->assign('page_title',$page_title);
$smarty->assign('top_menu_tpl',"admin_countries_menu.tpl");

$smarty->assign('error',$error);
$smarty->assign('status',$status);

/* table template */
$smarty->assign('fields',$fields);
$smarty->assign('table_width',"95%");
$smarty->assign('main_tpl',"admin_add_form.tpl");
/* display content */
$smarty->display('admin_index.tpl');

?>